function playerLoad()
	player = {
		w = 30,
		h = 50,
		x = 200,
		y = 600 - 50 - 10,
		s = 200,
		lives = 3,
      	ySpeed = 0, -- the Speed we'll add to the Y movement
      	gravSecond = 1.5, -- gravity amount
      	health = 100,
      	grounded = true,
      	jSpeed = -18
	}

end
function playerDraw()
	love.graphics.rectangle('fill',player.x,player.y,player.w,player.h)
end
function playerUpdate(dt)
	if love.keyboard.isDown("lshift") then
		player.s = 400
	elseif not love.keyboard.isDown("lshift") then
		player.s = 200
	end
	if love.keyboard.isDown('right') or love.keyboard.isDown('d') then
		player.x = player.x + player.s * dt
		if love.keyboard.isDown("lshift") then
			player.jSpeed = -22
		elseif not love.keyboard.isDown("lshift") then
			player.jSpeed = -18
		end
	elseif love.keyboard.isDown('left') or love.keyboard.isDown('a') then
		player.x = player.x - player.s * dt
		if love.keyboard.isDown("lshift") then
			player.jSpeed = -22
		elseif not love.keyboard.isDown("lshift") then
			player.jSpeed = -18
		end
	end

	if player.grounded == 'true' then
		jumpPermission = 'ready'
	else
		jumpPermission = 'not-ready'
	end

	--jump(dt)
end
function playerKeypress(key)
--	if key == "w" and player.grounded == 'true' then -- Are we on the ground?
--		player.ySpeed = -20 -- Make us add a negative, to move up
--	end
	if key == " " and jumpPermission == 'ready' then
		player.ySpeed = player.jSpeed
		jumpPermission = 'not-ready' 
	end
end
